aboutsummaryrefslogtreecommitdiff
path: root/scripts/git/git-pull-all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/git/git-pull-all.sh')
-rwxr-xr-xscripts/git/git-pull-all.sh59
1 files changed, 4 insertions, 55 deletions
diff --git a/scripts/git/git-pull-all.sh b/scripts/git/git-pull-all.sh
index c8d115da01..7f82eda296 100755
--- a/scripts/git/git-pull-all.sh
+++ b/scripts/git/git-pull-all.sh
@@ -2,7 +2,7 @@
SCRIPT_NAME=$(basename "$0")
-function usage()
+usage()
{
echo "$SCRIPT_NAME [-h] [-n]"
echo
@@ -47,66 +47,15 @@ TOR_WKT_NAME=${TOR_WKT_NAME:-"tor-wkt"}
# Git branches to manage #
##########################
-# Configuration of the branches that need pulling. The values are in order:
-# (1) Branch name to pull (update).
-# (2) Full path of the git worktree.
-#
-# As an example:
-# $ cd <PATH/TO/WORKTREE> (3)
-# $ git checkout maint-0.3.5 (1)
-# $ git pull
-#
-# First set of arrays are the maint-* branch and then the release-* branch.
-# New arrays need to be in the WORKTREE= array else they aren't considered.
-MAINT_035=( "maint-0.3.5" "$GIT_PATH/$TOR_WKT_NAME/maint-0.3.5" )
-MAINT_040=( "maint-0.4.0" "$GIT_PATH/$TOR_WKT_NAME/maint-0.4.0" )
-MAINT_041=( "maint-0.4.1" "$GIT_PATH/$TOR_WKT_NAME/maint-0.4.1" )
-MAINT_042=( "maint-0.4.2" "$GIT_PATH/$TOR_WKT_NAME/maint-0.4.2" )
-MAINT_MASTER=( "master" "$GIT_PATH/$TOR_MASTER_NAME" )
-
-RELEASE_035=( "release-0.3.5" "$GIT_PATH/$TOR_WKT_NAME/release-0.3.5" )
-RELEASE_040=( "release-0.4.0" "$GIT_PATH/$TOR_WKT_NAME/release-0.4.0" )
-RELEASE_041=( "release-0.4.1" "$GIT_PATH/$TOR_WKT_NAME/release-0.4.1" )
-RELEASE_042=( "release-0.4.2" "$GIT_PATH/$TOR_WKT_NAME/release-0.4.2" )
+set -e
+eval "$(git-list-tor-branches.sh -b)"
+set +e
# The master branch path has to be the main repository thus contains the
# origin that will be used to fetch the updates. All the worktrees are created
# from that repository.
ORIGIN_PATH="$GIT_PATH/$TOR_MASTER_NAME"
-# SC2034 -- shellcheck thinks that these are unused. We know better.
-ACTUALLY_THESE_ARE_USED=<<EOF
-${MAINT_035[0]}
-${MAINT_040[0]}
-${MAINT_041[0]}
-${MAINT_042[0]}
-${MAINT_MASTER[0]}
-${RELEASE_035[0]}
-${RELEASE_040[0]}
-${RELEASE_041[0]}
-${RELEASE_042[0]}
-EOF
-
-###########################
-# Git worktrees to manage #
-###########################
-
-# List of all worktrees to pull. All defined above. Ordering is not important.
-WORKTREE=(
- MAINT_035[@]
- RELEASE_035[@]
-
- MAINT_040[@]
- RELEASE_040[@]
-
- MAINT_041[@]
- RELEASE_041[@]
-
- MAINT_042[@]
- RELEASE_042[@]
-
- MAINT_MASTER[@]
-)
COUNT=${#WORKTREE[@]}
#######################